@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');


.main {
    display: flex;
    justify-content: center;
    align-items: center;
}

.container2 {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin-top: 10px;
    margin-bottom: 30px;
}

.container2 > h1 {
    font-size: 50px;
    color: #2d2d2d;
    text-shadow: #cccc 1px 1px;
    margin-bottom: 20px;
}

.filters {
    display: flex;
    gap: 10px;
    margin-bottom: 20px;
    width: 100%;
}

.filters > button {
    font-size: 17px;
    padding: 5px;
    border: none;
    border-radius: 5px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.filters > input, select {
    padding: 5px;
    width: 100%;
    border-radius: 5px;
    background-color: #fff;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    border: none;
    outline: none;
}



.products {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}

.product {
    border: 1px solid #ccc;
    padding: 20px;
    width: 30%; /* 3 columns on desktop */
    border-radius: 10px;
    background-color: #fff;
    text-align: center;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.product img {
    width: 98%;
    margin-bottom: 10px;
}

/* Tablet view: 2 columns */
@media screen and (max-width: 1024px) {
    .product {
        width: 45%;
    }
}

/* Mobile view: 1 column */
@media screen and (max-width: 600px) {
    .product {
        width: 100%;
    }
}

